Skip to main content
GET
/
cards
/
{cardId}
/
pin
Retrieve a PIN
curl --request GET \
  --url https://api.equalsmoney.com/v2/cards/{cardId}/pin \
  --header 'Authorization: <api-key>'
{
  "pin": "1111"
}

Authorizations

Authorization
string
header
required

Path Parameters

cardId
string<uuid>
required

The ID of the card to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

personId
string<uuid>
required

The ID of the person to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a04"

cardholderVerificationMethod
enum<string>
required

The supplemental method used to verify the cardholder’s identity before revealing the card’s PIN.

Available options:
BIOMETRIC_FACE,
BIOMETRIC_FINGERPRINT,
LOGIN,
OTP
Example:

"BIOMETRIC_FACE"

sessionId
string

The MFA session id.

Example:

"c92e2960-b745-4b38-8e77-898b2f9ad9bb"

token
string

The security token e.g. MFA code.

Example:

"123456"

Response

200 - application/json

OK

pin
string | null
required

the PIN of the card.

Required string length: 4
Pattern: ^\d+$
Example:

"1111"